shishi_authenticator_authorizationdata(3)

NAME
shishi_authenticator_authorizationdata - API function

SYNOPSIS
#include <shishi.h>

int shishi_authenticator_authorizationdata(Shishi * handle, Shishi_asn1 authenticator, int32_t * adtype, char ** addata, size_t * addatalen, size_t nth);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 authenticator
    authenticator as allocated by shishi_authenticator().

int32_t * adtype
    output authorization data type.

char ** addata
    newly allocated output authorization data.

size_t * addatalen
    on output, actual size of newly allocated authorization data.

size_t nth
    element number of authorization-data to extract.

EXTRACT N
th authorization data from authenticator. The first field is 1.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.